ViewsGet a View by name

Get a View by name

Retrieve a single view by its name.

curl -X GET "https://api.datafiniti.co/v4/views/John Doe" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "name": "John Doe",
  "fields": [
    "example_string"
  ],
  "created_at": "2024-12-25T10:00:00Z"
}
GET
/views/{view_name}
GET
Bearer Token
Bearer Tokenstring
Required

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
path
view_namestring
Required

The name of the view to retrieve

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Path Parameters

view_namestring
Required

The name of the view to retrieve

Responses

namestring

View name

fieldsstring[]

Fields included in this view

created_atstring

Timestamp when the view was created

This lets you retrieve a single view by its name.